### Method

# Gsk RenderReplay default

since: 4.22

#### Declaration [src]

    GskRenderNode*
    gsk_render_replay_default (
      GskRenderReplay* self,
      GskRenderNode* node
    )

#### Description [src]

Replays the node using the default method.

The default method calls `gsk_render_replay_filter_node()` on all its child nodes and the filter functions for all its properties. If none of them are changed, it returns the passed in node. Otherwise it constructs a new node with the changed children and properties.

It may not be possible to construct a new node when any of the callbacks return NULL. In that case, this function will return NULL, too.

Available since: 4.22

#### Parameters

`node`

  Type: `GskRenderNode`

  The node to replay.

  The data is owned by the caller of the method.

#### Return value

Type: `GskRenderNode`

The replayed node.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.